import { _ as W } from "./seaconLogo-CQwr8ZvW.js";
import { v as j, __tla as __tla_0 } from "./schemas-DLHXnB0l.js";
import { a1 as L, b as F } from "./template-rpthWlT9.js";
import { a4 as C, V as M, bk as N, f as K, r as b, aw as U, h as p, o, j as y, w as D, p as X, B as Z, i as e, A as n, l as t, aG as m, D as f, F as u, a9 as I, c as P, W as z, __tla as __tla_1 } from "./index-9PRMimni.js";
import { f as S } from "./hook-C9rOLWu_.js";
import { _ as G } from "./ExportTable.vue_vue_type_script_setup_true_lang-BAd0_3Tg.js";
import { _ as J } from "./index.vue_vue_type_script_setup_true_lang-Dcw6_z0-.js";
import { _ as Q } from "./index.vue_vue_type_script_setup_true_lang-D73Bs8cg.js";
import { _ as Y } from "./index.vue_vue_type_script_setup_true_lang-HPkMAo_5.js";
import { _ as H } from "./index.vue_vue_type_script_setup_true_lang-BAGDOkNf.js";
import "./index-kKnqLkWM.js";
let He;
let __tla = Promise.all([
    (()=>{
        try {
            return __tla_0;
        } catch  {}
    })(),
    (()=>{
        try {
            return __tla_1;
        } catch  {}
    })()
]).then(async ()=>{
    const ee = "/assets/report-bg-BXJkefQx.png";
    function te(d) {
        return new Promise((a)=>{
            const c = new Image;
            c.crossOrigin = "anonymous", c.onload = ()=>{
                const i = document.createElement("canvas");
                i.width = c.width, i.height = c.height, i.getContext("2d")?.drawImage(c, 0, 0), a(i.toDataURL("image/png"));
            }, c.src = d;
        });
    }
    let g, w, ne, se, ie, le, ae, oe, pe, ce, re, ue, de, he, me, Ie, ve, ye, fe, _e, ge, qe, be, we, Re, xe, Ve, ke, De, Pe, Se, Le, Ce, Me, Ne, Ee, Te, Be, Oe, $e, Ae, We;
    ({ t: g } = M());
    w = N();
    ne = await L("comment_yes_no");
    se = await L("good_fair_poor");
    ie = C(()=>[
            {
                title: g("hsqe.auditInspection.vesselInspection.shipVisitReport.certificateSMS.no"),
                key: "no",
                align: "left",
                width: 50,
                render: ({ index: d })=>d + 1
            },
            {
                align: "left",
                title: g("hsqe.auditInspection.vesselInspection.shipVisitReport.certificateSMS.content"),
                key: w.getLocale === "en" ? "inspectionContentEn" : "inspectionContentZh",
                width: 300,
                ellipsis: !1
            },
            {
                title: g("hsqe.auditInspection.vesselInspection.shipVisitReport.certificateSMS.result"),
                key: "inspectionResult",
                width: 80,
                editRule: !0,
                render ({ record: d }) {
                    let a = "";
                    return d.type === "good_fair_poor" ? se.forEach((c)=>{
                        c.value === d.inspectionResult && (a = w.getLocale === "en" ? c.labelEn ?? "" : c.label ?? "");
                    }) : ne.forEach((c)=>{
                        c.value === d.inspectionResult && (a = w.getLocale === "en" ? c.labelEn ?? "" : c.label ?? "");
                    }), a;
                }
            },
            {
                title: g("hsqe.auditInspection.vesselInspection.shipVisitReport.certificateSMS.remark"),
                key: "remark",
                width: 160,
                align: "left",
                ellipsis: !1,
                render ({ record: d }) {
                    return d.remark;
                }
            }
        ]);
    le = {
        class: "pdf-container"
    };
    ae = {
        class: "flex justify-between",
        style: {
            height: "30px",
            width: "100%",
            "border-bottom": "1px solid #000"
        }
    };
    oe = {
        class: "check-wrapper",
        id: "pdfRef"
    };
    pe = {
        class: "text-[28px] font-bold",
        style: {
            "margin-top": "10px"
        }
    };
    ce = {
        style: {
            "margin-top": "45px"
        }
    };
    re = {
        class: "info-row"
    };
    ue = {
        class: "info-content"
    };
    de = {
        class: "info-row"
    };
    he = {
        class: "info-content"
    };
    me = {
        class: "info-row"
    };
    Ie = {
        class: "info-content"
    };
    ve = {
        class: "info-row"
    };
    ye = {
        class: "info-content"
    };
    fe = {
        class: "info-row"
    };
    _e = {
        class: "info-content"
    };
    ge = {
        key: 0,
        class: "info-row"
    };
    qe = {
        class: "info-content"
    };
    be = {
        key: 1,
        class: "info-row"
    };
    we = [
        "src"
    ];
    Re = [
        "src"
    ];
    xe = {
        class: "text-[16px] font-bold",
        style: {
            "margin-bottom": "-10px"
        }
    };
    Ve = {
        style: {
            width: "15%"
        }
    };
    ke = {
        style: {
            width: "10%"
        }
    };
    De = {
        key: 0
    };
    Pe = {
        class: "text-[16px] font-bold",
        style: {
            "margin-bottom": "-10px"
        }
    };
    Se = {
        style: {
            width: "23%"
        }
    };
    Le = {
        style: {
            width: "10%"
        }
    };
    Ce = {
        key: 0
    };
    Me = {
        style: {
            width: "23%"
        }
    };
    Ne = {
        style: {
            width: "10%"
        }
    };
    Ee = {
        key: 0
    };
    Te = {
        class: "sample-content"
    };
    Be = {
        class: "text-[16px] font-bold",
        style: {
            "margin-bottom": "-25px"
        }
    };
    Oe = {
        class: "text-[16px] font-bold",
        style: {
            "margin-bottom": "-25px"
        }
    };
    $e = {
        key: 0
    };
    Ae = {
        key: 1
    };
    We = {
        class: "text-[16px] font-bold",
        style: {
            "margin-bottom": "-25px"
        }
    };
    He = {
        __name: "index",
        setup (d) {
            const a = N(), { templateCode: c } = j(), { t: i } = M(), R = K(), E = C(()=>R.query.uuid), s = b({}), x = b([]), T = b(""), B = [
                {
                    value: 1,
                    label: "常规",
                    labelEn: "Routine"
                },
                {
                    value: 2,
                    label: "修理",
                    labelEn: "Repair"
                },
                {
                    value: 3,
                    label: "协助外检",
                    labelEn: "Accompany 3rd party inspection"
                },
                {
                    value: 4,
                    label: "其他",
                    labelEn: "Other"
                }
            ], V = [
                {
                    title: i("hsqe.auditInspection.vesselInspection.shipVisitReport.certificateSMS.no"),
                    key: "no",
                    width: 50,
                    render: (h, r)=>r + 1
                },
                {
                    title: i("hsqe.auditInspection.vesselInspection.deficiency.description"),
                    key: "desc",
                    width: 150
                },
                {
                    title: i("hsqe.auditInspection.vesselInspection.deficiency.pic"),
                    key: "owner",
                    width: 150,
                    render (h) {
                        return a.getLocale === "en" ? h.ownerEn : h.owner;
                    }
                },
                {
                    title: i("hsqe.auditInspection.vesselInspection.deficiency.dateRectify"),
                    key: "dueDate",
                    width: 150,
                    render: (h)=>S(new Date(h.dueDate))
                },
                {
                    title: i("hsqe.auditInspection.vesselInspection.deficiency.confirmation"),
                    key: "verifier",
                    width: 150
                }
            ], k = [
                {
                    value: "afloat",
                    label: i("hsqe.auditInspection.vesselInspection.shipVisitReport.afloat")
                },
                {
                    value: "dryDock",
                    label: i("hsqe.auditInspection.vesselInspection.shipVisitReport.dryDock")
                },
                {
                    value: "berth",
                    label: i("hsqe.auditInspection.vesselInspection.shipVisitReport.berth")
                },
                {
                    value: "anchorage",
                    label: i("hsqe.auditInspection.vesselInspection.shipVisitReport.anchorage")
                },
                {
                    value: "loading",
                    label: i("hsqe.auditInspection.vesselInspection.shipVisitReport.loading")
                },
                {
                    value: "discharging",
                    label: i("hsqe.auditInspection.vesselInspection.shipVisitReport.discharging")
                }
            ];
            function O() {
                window.print();
            }
            async function $() {
                const h = await F({
                    templateCode: c,
                    uuid: E.value
                });
                let r = [];
                for(const q in h.checkTeb)r.push(h.checkTeb[q]);
                x.value = r, s.value = h, T.value = await te("/src/assets/images/seaconLogo.png");
            }
            return U(async ()=>{
                $();
            }), (h, r)=>{
                const q = Z, A = z;
                return o(), p("div", le, [
                    y(q, {
                        class: "primary-btn",
                        onClick: O
                    }, {
                        default: D(()=>r[0] || (r[0] = [
                                X("导出")
                            ])),
                        _: 1
                    }),
                    y(A, null, {
                        default: D(()=>[
                                e("div", ae, [
                                    r[1] || (r[1] = e("span", null, "洲际船舶管理有限公司", -1)),
                                    e("span", null, n(t(s).template_code), 1)
                                ]),
                                e("div", oe, [
                                    r[2] || (r[2] = e("img", {
                                        src: W,
                                        alt: "公司logo",
                                        style: {
                                            display: "block",
                                            "margin-left": "auto",
                                            "margin-bottom": "100px",
                                            height: "30px"
                                        }
                                    }, null, -1)),
                                    e("p", {
                                        class: "text-[55px]",
                                        style: m({
                                            letterSpacing: t(a).getLocale === "en" ? "0" : "18px",
                                            textDecoration: "underline",
                                            textDecorationThickness: "2px",
                                            textUnderlineOffset: "25px",
                                            fontWeight: "500"
                                        })
                                    }, n(t(i)("hsqe.auditInspection.vesselInspection.reportName")), 5),
                                    e("p", pe, n(t(a).getLocale === "en" ? `MV “${t(s).shipNameEn}”` : `${t(s).shipName}轮`), 1),
                                    r[3] || (r[3] = e("img", {
                                        src: ee,
                                        alt: "公司logo",
                                        style: {
                                            "margin-top": "45px"
                                        }
                                    }, null, -1)),
                                    e("div", ce, [
                                        e("div", re, [
                                            e("span", {
                                                class: "info-label",
                                                style: m({
                                                    width: t(a).getLocale === "en" ? "120px" : "4em"
                                                })
                                            }, n(t(i)("hsqe.auditInspection.qualitySafetyInspection.visitDate")), 5),
                                            e("span", ue, n(t(s).visitDate?.[0]) + " ~ " + n(t(s).visitDate?.[1]), 1)
                                        ]),
                                        e("div", de, [
                                            e("span", {
                                                class: "info-label",
                                                style: m({
                                                    width: t(a).getLocale === "en" ? "120px" : "4em"
                                                })
                                            }, n(t(i)("hsqe.auditInspection.qualitySafetyInspection.visitPlace")), 5),
                                            e("span", he, n(t(s).visitPlace), 1)
                                        ]),
                                        e("div", me, [
                                            e("span", {
                                                class: "info-label",
                                                style: m({
                                                    width: t(a).getLocale === "en" ? "120px" : "4em"
                                                })
                                            }, n(t(i)("hsqe.auditInspection.qualitySafetyInspection.reportDate")), 5),
                                            e("span", Ie, n(t(s).reportDate), 1)
                                        ]),
                                        e("div", ve, [
                                            e("span", {
                                                class: "info-label",
                                                style: m({
                                                    width: t(a).getLocale === "en" ? "120px" : "4em"
                                                })
                                            }, n(t(i)("hsqe.auditInspection.qualitySafetyInspection.reportBy")), 5),
                                            e("span", ye, n(t(s).reportBy), 1)
                                        ]),
                                        e("div", fe, [
                                            e("span", {
                                                class: "info-label",
                                                style: m({
                                                    width: t(a).getLocale === "en" ? "120px" : "4em"
                                                })
                                            }, n(t(i)("hsqe.auditInspection.vesselInspection.reportNum")), 5),
                                            e("span", _e, n(t(s).reportNum), 1)
                                        ]),
                                        t(s).approveDatetime ? (o(), p("div", ge, [
                                            e("span", {
                                                class: "info-label",
                                                style: m({
                                                    width: t(a).getLocale === "en" ? "120px" : "4em"
                                                })
                                            }, n(t(i)("hsqe.auditInspection.vesselInspection.approveDatetime")), 5),
                                            e("span", qe, n(t(S)(new Date(t(s).approveDatetime))), 1)
                                        ])) : f("", !0),
                                        t(s).signature ? (o(), p("div", be, [
                                            e("span", {
                                                class: "info-label",
                                                style: m({
                                                    width: t(a).getLocale === "en" ? "120px" : "4em"
                                                })
                                            }, n(t(i)("hsqe.auditInspection.vesselInspection.dpaSignature")), 5),
                                            e("img", {
                                                src: t(s).signature,
                                                alt: "",
                                                style: {
                                                    width: "150px"
                                                }
                                            }, null, 8, we)
                                        ])) : f("", !0)
                                    ]),
                                    e("img", {
                                        src: t(s).shipPhoto_Photo,
                                        alt: "",
                                        style: {
                                            width: "100%"
                                        }
                                    }, null, 8, Re),
                                    e("p", xe, n(t(i)("hsqe.auditInspection.vesselInspection.shipVisitReport.purposeOfVisit")), 1),
                                    e("table", null, [
                                        e("tbody", null, [
                                            e("tr", null, [
                                                (o(), p(u, null, I(B, (l)=>(o(), p(u, {
                                                        key: l.value
                                                    }, [
                                                        e("td", Ve, n(t(a).getLocale === "en" ? l.labelEn : l.label), 1),
                                                        e("td", ke, [
                                                            t(s).purpose === l.value ? (o(), p("span", De, "✓")) : f("", !0)
                                                        ])
                                                    ], 64))), 64))
                                            ])
                                        ])
                                    ]),
                                    e("p", Pe, n(t(i)("hsqe.auditInspection.vesselInspection.shipVisitReport.prevailingConditions")), 1),
                                    e("table", null, [
                                        e("tbody", null, [
                                            e("tr", null, [
                                                (o(!0), p(u, null, I(k.slice(0, 3), (l)=>(o(), p(u, {
                                                        key: l.value
                                                    }, [
                                                        e("td", Se, n(l.label), 1),
                                                        e("td", Le, [
                                                            t(s)[l.value] ? (o(), p("span", Ce, "✓")) : f("", !0)
                                                        ])
                                                    ], 64))), 128))
                                            ]),
                                            e("tr", null, [
                                                (o(!0), p(u, null, I(k.slice(3, 6), (l)=>(o(), p(u, {
                                                        key: l.value
                                                    }, [
                                                        e("td", Me, n(l.label), 1),
                                                        e("td", Ne, [
                                                            t(s)[l.value] ? (o(), p("span", Ee, "X")) : f("", !0)
                                                        ])
                                                    ], 64))), 128))
                                            ])
                                        ])
                                    ]),
                                    e("div", Te, [
                                        e("p", Be, n(t(i)("hsqe.auditInspection.vesselInspection.shipVisitReport.tabShipParticulars")), 1),
                                        e("table", null, [
                                            e("tbody", null, [
                                                e("tr", null, [
                                                    e("td", null, n(t(i)("hsqe.auditInspection.vesselInspection.shipVisitReport.shipParticulars.shipName")), 1),
                                                    e("td", null, n(t(a).getLocale === "en" ? t(s).shipNameEn : t(s).shipName), 1),
                                                    e("td", null, n(t(i)("hsqe.auditInspection.vesselInspection.shipVisitReport.shipParticulars.flag")), 1),
                                                    e("td", null, n(t(s).flag), 1)
                                                ]),
                                                e("tr", null, [
                                                    e("td", null, n(t(i)("hsqe.auditInspection.vesselInspection.shipVisitReport.shipParticulars.imo")), 1),
                                                    e("td", null, n(t(s).imo), 1),
                                                    e("td", null, n(t(i)("hsqe.auditInspection.vesselInspection.shipVisitReport.shipParticulars.callSign")), 1),
                                                    e("td", null, n(t(s).callSign), 1)
                                                ]),
                                                e("tr", null, [
                                                    e("td", null, n(t(i)("hsqe.auditInspection.vesselInspection.shipVisitReport.shipParticulars.classNo")), 1),
                                                    e("td", null, n(t(s).shipClass), 1),
                                                    e("td", null, n(t(i)("hsqe.auditInspection.vesselInspection.shipVisitReport.shipParticulars.deadWeight")), 1),
                                                    e("td", null, n(t(s).deadweightTonnage), 1)
                                                ]),
                                                e("tr", null, [
                                                    e("td", null, n(t(i)("hsqe.auditInspection.vesselInspection.shipVisitReport.shipParticulars.grossTonnage")), 1),
                                                    e("td", null, n(t(s).grossTonnage), 1),
                                                    e("td", null, n(t(i)("hsqe.auditInspection.vesselInspection.shipVisitReport.shipParticulars.netTonnage")), 1),
                                                    e("td", null, n(t(s).netTonnage), 1)
                                                ]),
                                                e("tr", null, [
                                                    e("td", null, n(t(i)("hsqe.auditInspection.vesselInspection.shipVisitReport.shipParticulars.lbd")), 1),
                                                    e("td", null, n(`${t(s).lengthOverall || "0"} * ${t(s).depth || "0"} * ${t(s).beam || "0"}`), 1),
                                                    e("td", null, n(t(i)("hsqe.auditInspection.vesselInspection.shipVisitReport.shipParticulars.summerDraft")), 1),
                                                    e("td", null, n(t(s).summerDraft), 1)
                                                ]),
                                                e("tr", null, [
                                                    e("td", null, n(t(i)("hsqe.auditInspection.vesselInspection.shipVisitReport.shipParticulars.builder")), 1),
                                                    e("td", null, n(t(s).shipyard), 1),
                                                    e("td", null, n(t(i)("hsqe.auditInspection.vesselInspection.shipVisitReport.shipParticulars.hullNo")), 1),
                                                    e("td", null, n(t(s).builderNo), 1)
                                                ]),
                                                e("tr", null, [
                                                    e("td", null, n(t(i)("hsqe.auditInspection.vesselInspection.shipVisitReport.shipParticulars.keelLaying")), 1),
                                                    e("td", null, n(t(s).keelLayingDate), 1),
                                                    e("td", null, n(t(i)("hsqe.auditInspection.vesselInspection.shipVisitReport.shipParticulars.deliver")), 1),
                                                    e("td", null, n(t(s).deliverDate), 1)
                                                ]),
                                                e("tr", null, [
                                                    e("td", null, n(t(i)("hsqe.auditInspection.vesselInspection.shipVisitReport.shipParticulars.MEModel")), 1),
                                                    e("td", null, n(t(s).mainMachineInfo), 1),
                                                    e("td", null, n(t(i)("hsqe.auditInspection.vesselInspection.shipVisitReport.shipParticulars.AEModel")), 1),
                                                    e("td", null, n(t(s).viceMachineInfo), 1)
                                                ]),
                                                e("tr", null, [
                                                    e("td", null, n(t(i)("hsqe.auditInspection.vesselInspection.shipVisitReport.shipParticulars.deckCraneModel")), 1),
                                                    e("td", null, n(t(s).deckCraneModel), 1),
                                                    e("td", null, n(t(i)("hsqe.auditInspection.vesselInspection.shipVisitReport.shipParticulars.speedFOC")), 1),
                                                    e("td", null, n(t(s).speedFOC), 1)
                                                ]),
                                                e("tr", null, [
                                                    e("td", null, n(t(i)("hsqe.auditInspection.vesselInspection.shipVisitReport.shipParticulars.shipOwner")), 1),
                                                    e("td", null, n(t(s).vesselOwner), 1),
                                                    e("td", null, n(t(i)("hsqe.auditInspection.vesselInspection.shipVisitReport.shipParticulars.constructYear")), 1),
                                                    e("td", null, n(t(s).shipBuildDate), 1)
                                                ]),
                                                e("tr", null, [
                                                    e("td", null, n(t(i)("hsqe.auditInspection.vesselInspection.shipVisitReport.shipParticulars.operator")), 1),
                                                    e("td", null, n(t(s).runningCompany), 1),
                                                    e("td", null, n(t(i)("hsqe.auditInspection.vesselInspection.shipVisitReport.shipParticulars.captain")), 1),
                                                    e("td", null, n(t(a).getLocale === "en" ? t(s).master_name_en : t(s).master_name_cn), 1)
                                                ]),
                                                e("tr", null, [
                                                    e("td", null, n(t(i)("hsqe.auditInspection.vesselInspection.shipVisitReport.shipParticulars.chiefEngineer")), 1),
                                                    e("td", null, n(t(a).getLocale === "en" ? t(s).chief_engineer_name_en : t(s).chief_engineer_name_cn), 1),
                                                    e("td", null, n(t(i)("hsqe.auditInspection.vesselInspection.shipVisitReport.shipParticulars.technicalManager")), 1),
                                                    e("td", null, n(t(a).getLocale === "en" ? t(s).operationalManagementCompanyNameEn : t(s).operationalManagementCompanyName), 1)
                                                ]),
                                                e("tr", null, [
                                                    e("td", null, n(t(i)("hsqe.auditInspection.vesselInspection.shipVisitReport.shipParticulars.crewManager")), 1),
                                                    e("td", null, n(t(s).crewManager), 1),
                                                    e("td", null, n(t(i)("hsqe.auditInspection.vesselInspection.shipVisitReport.shipParticulars.crewNo")), 1),
                                                    e("td", null, n(t(s).crewCount), 1)
                                                ]),
                                                e("tr", null, [
                                                    e("td", null, n(t(i)("hsqe.auditInspection.vesselInspection.shipVisitReport.shipParticulars.voyageInfo")), 1),
                                                    e("td", null, n(t(s).voyageInfo), 1),
                                                    e("td", null, n(t(i)("hsqe.auditInspection.vesselInspection.shipVisitReport.shipParticulars.operationSupervisor")), 1),
                                                    e("td", null, n(t(s).procurementManagerName), 1)
                                                ]),
                                                e("tr", null, [
                                                    e("td", null, n(t(i)("hsqe.auditInspection.vesselInspection.shipVisitReport.shipParticulars.mechanicalSupervisor")), 1),
                                                    e("td", null, n(t(s).technicalSuperintendentName), 1),
                                                    e("td", null, n(t(i)("hsqe.auditInspection.vesselInspection.shipVisitReport.shipParticulars.marineAffairsSupervisor")), 1),
                                                    e("td", null, n(t(s).marineSuperintendentName), 1)
                                                ]),
                                                e("tr", null, [
                                                    e("td", null, n(t(i)("hsqe.auditInspection.vesselInspection.shipVisitReport.shipParticulars.crewSupervisor")), 1),
                                                    e("td", null, n(t(s).crewSuperintendentName), 1)
                                                ])
                                            ])
                                        ]),
                                        (o(!0), p(u, null, I(t(x), (l, _)=>(o(), P(G, {
                                                key: _,
                                                columns: t(ie),
                                                data: l,
                                                title: t(a).getLocale === "en" ? l[0].inspectionTypeEn : l[0].inspectionTypeZh,
                                                idea: t(s)[`${l[0].inspectionType}_view`]
                                            }, null, 8, [
                                                "columns",
                                                "data",
                                                "title",
                                                "idea"
                                            ]))), 128)),
                                        e("p", Oe, n(t(i)("hsqe.auditInspection.qualitySafetyInspection.tabRectificationProject")), 1),
                                        e("table", null, [
                                            e("thead", null, [
                                                e("tr", null, [
                                                    (o(), p(u, null, I(V, (l)=>e("th", {
                                                            key: l.key,
                                                            style: m({
                                                                width: l.width ? l.width + "px" : "auto",
                                                                padding: "8px 10px 2px 10px"
                                                            })
                                                        }, n(l.title), 5)), 64))
                                                ])
                                            ]),
                                            e("tbody", null, [
                                                (o(!0), p(u, null, I(t(s).deficiencyList?.filter((l)=>l.isMemo === "no"), (l, _)=>(o(), p("tr", {
                                                        key: _
                                                    }, [
                                                        (o(), p(u, null, I(V, (v)=>e("td", {
                                                                key: v.key
                                                            }, [
                                                                v.render ? (o(), p("span", $e, n(typeof v.render == "function" ? v.render(l, _) : ""), 1)) : (o(), p("span", Ae, n(l[v.key]), 1))
                                                            ])), 64))
                                                    ]))), 128))
                                            ])
                                        ]),
                                        e("p", We, n(t(i)("hsqe.auditInspection.qualitySafetyInspection.summaryAndSuggestions")), 1),
                                        e("table", null, [
                                            e("tbody", null, [
                                                e("tr", null, [
                                                    e("td", null, n(t(i)("hsqe.auditInspection.vesselInspection.summary.maintenanceVerify")), 1),
                                                    e("td", null, n(t(s).maintenanceVerify), 1)
                                                ]),
                                                e("tr", null, [
                                                    e("td", null, n(t(i)("hsqe.auditInspection.vesselInspection.summary.jobDone")), 1),
                                                    e("td", null, n(t(s).jobDone), 1)
                                                ]),
                                                e("tr", null, [
                                                    e("td", null, n(t(i)("hsqe.auditInspection.vesselInspection.summary.houseKeeping")), 1),
                                                    e("td", null, n(t(s).houseKeeping), 1)
                                                ]),
                                                e("tr", null, [
                                                    e("td", null, n(t(i)("hsqe.auditInspection.vesselInspection.summary.contents")), 1),
                                                    e("td", null, n(t(s).contents), 1)
                                                ]),
                                                e("tr", null, [
                                                    e("td", null, n(t(i)("hsqe.auditInspection.vesselInspection.summary.defectVerify")), 1),
                                                    e("td", null, n(t(s).defectVerify), 1)
                                                ]),
                                                e("tr", null, [
                                                    e("td", null, n(t(i)("hsqe.auditInspection.vesselInspection.summary.verifyDetails")), 1),
                                                    e("td", null, n(t(s).verifyDetails), 1)
                                                ]),
                                                e("tr", null, [
                                                    e("td", null, n(t(i)("hsqe.auditInspection.vesselInspection.summary.nextMaintenance")), 1),
                                                    e("td", null, n(t(s).nextMaintenance), 1)
                                                ]),
                                                e("tr", null, [
                                                    e("td", null, n(t(i)("hsqe.auditInspection.vesselInspection.summary.effectImpl")), 1),
                                                    e("td", null, n(t(s).effectImpl), 1)
                                                ]),
                                                e("tr", null, [
                                                    e("td", null, n(t(i)("hsqe.auditInspection.vesselInspection.summary.recommendations")), 1),
                                                    e("td", null, n(t(s).recommendations), 1)
                                                ]),
                                                e("tr", null, [
                                                    e("td", null, n(t(i)("hsqe.auditInspection.vesselInspection.summary.crewAssess")), 1),
                                                    e("td", null, n(t(s).crewAssess), 1)
                                                ]),
                                                e("tr", null, [
                                                    e("td", null, n(t(i)("hsqe.auditInspection.vesselInspection.summary.performanceResult")), 1),
                                                    e("td", null, n(t(s).performanceResult), 1)
                                                ]),
                                                e("tr", null, [
                                                    e("td", null, n(t(i)("hsqe.auditInspection.vesselInspection.summary.meetingContent")), 1),
                                                    e("td", null, n(t(s).meetingContent), 1)
                                                ]),
                                                e("tr", null, [
                                                    e("td", null, n(t(i)("hsqe.auditInspection.vesselInspection.summary.bestPractice")), 1),
                                                    e("td", null, n(t(s).bestPractice), 1)
                                                ]),
                                                e("tr", null, [
                                                    e("td", null, n(t(i)("hsqe.auditInspection.vesselInspection.summary.trainingContent")), 1),
                                                    e("td", null, n(t(s).trainingContent), 1)
                                                ]),
                                                e("tr", null, [
                                                    e("td", null, n(t(i)("hsqe.auditInspection.vesselInspection.summary.mainWeak")), 1),
                                                    e("td", null, n(t(s).mainWeak), 1)
                                                ]),
                                                e("tr", null, [
                                                    e("td", null, n(t(i)("hsqe.auditInspection.vesselInspection.summary.maintenanceCondition")), 1),
                                                    e("td", null, n(t(s).maintenanceCondition), 1)
                                                ]),
                                                e("tr", null, [
                                                    e("td", null, n(t(i)("hsqe.auditInspection.vesselInspection.summary.maintenanceRecords")), 1),
                                                    e("td", null, n(t(s).maintenanceRecords), 1)
                                                ])
                                            ])
                                        ]),
                                        t(c) === "SSB0705" ? (o(), P(J, {
                                            key: 0,
                                            templateDetail: t(s)
                                        }, null, 8, [
                                            "templateDetail"
                                        ])) : (o(), p(u, {
                                            key: 1
                                        }, [
                                            y(Q, {
                                                templateDetail: t(s)
                                            }, null, 8, [
                                                "templateDetail"
                                            ]),
                                            y(Y, {
                                                templateDetail: t(s)
                                            }, null, 8, [
                                                "templateDetail"
                                            ]),
                                            y(H, {
                                                templateDetail: t(s)
                                            }, null, 8, [
                                                "templateDetail"
                                            ])
                                        ], 64))
                                    ])
                                ])
                            ]),
                        _: 1
                    })
                ]);
            };
        }
    };
});
export { He as default, __tla };
